<?php
namespace Bitfoundry\Etnpay\Controller\Scan;

use Magento\Framework\App\Action\Action;

class Index extends Action
{
    protected $_resultLayoutFactory;
    protected $_etnpayHelper;
    protected $_etnpay;
    protected $_logger;

    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\LayoutFactory $resultLayoutFactory,
        \Bitfoundry\Etnpay\Helper\Data $etnpayHelper,
        \Bitfoundry\Etnpay\Model\Etnpay $etnpay,
        \Psr\Log\LoggerInterface $logger
    )
    {
        parent::__construct($context);
        $this->_resultLayoutFactory = $resultLayoutFactory;
        $this->_etnpayHelper = $etnpayHelper;
        $this->_etnpay = $etnpay;
        $this->_logger = $logger;
    }

    public function execute()
    {
        $resultLayout = $this->_resultLayoutFactory->create();
        $block = $resultLayout->getLayout()->getBlock('etnpay');
        echo $block->setTemplate('Bitfoundry_Etnpay::scan.phtml')->toHtml();
        exit;
    }
}
